Package org.eclipse.emf.cdo.security.util

# Klasse SecuritySwitch<T>

java.lang.Object
org.eclipse.emf.cdo.security.util.SecuritySwitch<T>

Bekannte direkte Unterklassen:
  `LMSecurityItemProviderAdapterFactory.SecurityChildCreationExtender.CreationSwitch`

public class SecuritySwitch<T> extends Object
The Switch for the model's inheritance hierarchy. It supports the call `doSwitch(object)` to invoke the `caseXXX` method for each class of the model, starting with the actual class of the object and proceeding up the inheritance hierarchy until a non-null result is returned, which is the result of the switch.

Siehe auch:
  - `SecurityPackage`
Generated

## Feldübersicht

Felder
Modifizierer und Typ
Feld
Beschreibung
`protected static SecurityPackage`
`modelPackage`
The cached model package

## Konstruktorübersicht

Konstruktoren
Konstruktor
Beschreibung
`SecuritySwitch()`
Creates an instance of the switch.

## Methodenübersicht

Modifizierer und Typ
Methode
Beschreibung
`T`
`caseAndFilter(AndFilter object)`
Returns the result of interpreting the object as an instance of 'And Filter'.
`T`
`caseAssignee(Assignee object)`
Returns the result of interpreting the object as an instance of 'Assignee'.
`T`
`caseClassFilter(ClassFilter object)`
Returns the result of interpreting the object as an instance of 'Class Filter'.
`T`
`caseClassPermission(ClassPermission object)`
Returns the result of interpreting the object as an instance of 'Class Permission'.
`T`
`caseCombinedFilter(CombinedFilter object)`
Returns the result of interpreting the object as an instance of 'Combined Filter'.
`T`
`caseDirectory(Directory object)`
Returns the result of interpreting the object as an instance of 'Directory'.
`T`
`caseExpressionFilter(ExpressionFilter object)`
Returns the result of interpreting the object as an instance of 'Expression Filter'.
`T`
`caseFilterPermission(FilterPermission object)`
Returns the result of interpreting the object as an instance of 'Filter Permission'.
`T`
`caseGroup(Group object)`
Returns the result of interpreting the object as an instance of 'Group'.
`T`
`caseLinkedFilter(LinkedFilter object)`
Returns the result of interpreting the object as an instance of 'Linked Filter'.
`T`
`caseModelElement(ModelElement object)`
Returns the result of interpreting the object as an instance of 'Model Element'.
`T`
`caseNotFilter(NotFilter object)`
Returns the result of interpreting the object as an instance of 'Not Filter'.
`T`
`caseObjectFilter(ObjectFilter object)`
Returns the result of interpreting the object as an instance of 'Object Filter'.
`T`
`caseObjectPermission(ObjectPermission object)`
Returns the result of interpreting the object as an instance of 'Object Permission'.
`T`
`caseOrFilter(OrFilter object)`
Returns the result of interpreting the object as an instance of 'Or Filter'.
`T`
`casePackageFilter(PackageFilter object)`
Returns the result of interpreting the object as an instance of 'Package Filter'.
`T`
`casePackagePermission(PackagePermission object)`
Returns the result of interpreting the object as an instance of 'Package Permission'.
`T`
`casePermission(Permission object)`
Returns the result of interpreting the object as an instance of 'Permission'.
`T`
`casePermissionFilter(PermissionFilter object)`
Returns the result of interpreting the object as an instance of 'Permission Filter'.
`T`
`caseRealm(Realm object)`
Returns the result of interpreting the object as an instance of 'Realm'.
`T`
`caseResourceFilter(ResourceFilter object)`
Returns the result of interpreting the object as an instance of 'Resource Filter'.
`T`
`caseResourcePermission(ResourcePermission object)`
Returns the result of interpreting the object as an instance of 'Resource Permission'.
`T`
`caseRole(Role object)`
Returns the result of interpreting the object as an instance of 'Role'.
`T`
`caseSecurityElement(SecurityElement object)`
Returns the result of interpreting the object as an instance of 'Element'.
`T`
`caseSecurityItem(SecurityItem object)`
Returns the result of interpreting the object as an instance of 'Item'.
`T`
`caseUser(User object)`
Returns the result of interpreting the object as an instance of 'User'.
`T`
`caseUserPassword(UserPassword object)`
Returns the result of interpreting the object as an instance of 'User Password'.
`T`
`defaultCase(EObject object)`
Returns the result of interpreting the object as an instance of 'EObject'.
`protected T`
`doSwitch(int classifierID, EObject theEObject)`
Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.
`protected T`
`doSwitch(EClass theEClass, EObject theEObject)`
Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.
`T`
`doSwitch(EObject theEObject)`
Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.

### Von Klasse geerbte Methoden java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Felddetails

### modelPackage

protected static SecurityPackage modelPackage
The cached model package

Generated

## Konstruktordetails

### SecuritySwitch

public SecuritySwitch()
Creates an instance of the switch.

Generated

## Methodendetails

### doSwitch

public T doSwitch(EObject theEObject)
Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.

Gibt zurück:
  the first non-null result returned by a `caseXXX` call.
Generated

### doSwitch

protected T doSwitch(EClass theEClass, EObject theEObject)
Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.

Gibt zurück:
  the first non-null result returned by a `caseXXX` call.
Generated

### doSwitch

protected T doSwitch(int classifierID, EObject theEObject)
Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.

Gibt zurück:
  the first non-null result returned by a `caseXXX` call.
Generated

### caseSecurityElement

public T caseSecurityElement(SecurityElement object)
Returns the result of interpreting the object as an instance of 'Element'. This implementation returns null; returning a non-null result will terminate the switch.

Parameter:
  `object` - the target of the switch.
Gibt zurück:
  the result of interpreting the object as an instance of 'Element'.
Siehe auch:
  - `doSwitch(EObject)`
Generated

### caseRealm

public T caseRealm(Realm object)
Returns the result of interpreting the object as an instance of 'Realm'. This implementation returns null; returning a non-null result will terminate the switch.

Parameter:
  `object` - the target of the switch.
Gibt zurück:
  the result of interpreting the object as an instance of 'Realm'.
Siehe auch:
  - `doSwitch(EObject)`
Generated

### caseDirectory

public T caseDirectory(Directory object)
Returns the result of interpreting the object as an instance of 'Directory'. This implementation returns null; returning a non-null result will terminate the switch.

Parameter:
  `object` - the target of the switch.
Gibt zurück:
  the result of interpreting the object as an instance of 'Directory'.
Siehe auch:
  - `doSwitch(EObject)`
Generated

### caseSecurityItem

public T caseSecurityItem(SecurityItem object)
Returns the result of interpreting the object as an instance of 'Item'. This implementation returns null; returning a non-null result will terminate the switch.

Parameter:
  `object` - the target of the switch.
Gibt zurück:
  the result of interpreting the object as an instance of 'Item'.
Siehe auch:
  - `doSwitch(EObject)`
Generated

### caseRole

public T caseRole(Role object)
Returns the result of interpreting the object as an instance of 'Role'. This implementation returns null; returning a non-null result will terminate the switch.

Parameter:
  `object` - the target of the switch.
Gibt zurück:
  the result of interpreting the object as an instance of 'Role'.
Siehe auch:
  - `doSwitch(EObject)`
Generated

### caseAssignee

public T caseAssignee(Assignee object)
Returns the result of interpreting the object as an instance of 'Assignee'. This implementation returns null; returning a non-null result will terminate the switch.

Parameter:
  `object` - the target of the switch.
Gibt zurück:
  the result of interpreting the object as an instance of 'Assignee'.
Siehe auch:
  - `doSwitch(EObject)`
Generated

### caseGroup

public T caseGroup(Group object)
Returns the result of interpreting the object as an instance of 'Group'. This implementation returns null; returning a non-null result will terminate the switch.

Parameter:
  `object` - the target of the switch.
Gibt zurück:
  the result of interpreting the object as an instance of 'Group'.
Siehe auch:
  - `doSwitch(EObject)`
Generated

### caseUser

public T caseUser(User object)
Returns the result of interpreting the object as an instance of 'User'. This implementation returns null; returning a non-null result will terminate the switch.

Parameter:
  `object` - the target of the switch.
Gibt zurück:
  the result of interpreting the object as an instance of 'User'.
Siehe auch:
  - `doSwitch(EObject)`
Generated

### caseUserPassword

public T caseUserPassword(UserPassword object)
Returns the result of interpreting the object as an instance of 'User Password'. This implementation returns null; returning a non-null result will terminate the switch.

Parameter:
  `object` - the target of the switch.
Gibt zurück:
  the result of interpreting the object as an instance of 'User Password'.
Siehe auch:
  - `doSwitch(EObject)`
Generated

### casePermission

public T casePermission(Permission object)
Returns the result of interpreting the object as an instance of 'Permission'. This implementation returns null; returning a non-null result will terminate the switch.

Parameter:
  `object` - the target of the switch.
Gibt zurück:
  the result of interpreting the object as an instance of 'Permission'.
Siehe auch:
  - `doSwitch(EObject)`
Generated

### caseClassPermission

public T caseClassPermission(ClassPermission object)
Returns the result of interpreting the object as an instance of 'Class Permission'. This implementation returns null; returning a non-null result will terminate the switch.

Parameter:
  `object` - the target of the switch.
Gibt zurück:
  the result of interpreting the object as an instance of 'Class Permission'.
Siehe auch:
  - `doSwitch(EObject)`
Generated

### casePackagePermission

public T casePackagePermission(PackagePermission object)
Returns the result of interpreting the object as an instance of 'Package Permission'. This implementation returns null; returning a non-null result will terminate the switch.

Parameter:
  `object` - the target of the switch.
Gibt zurück:
  the result of interpreting the object as an instance of 'Package Permission'.
Siehe auch:
  - `doSwitch(EObject)`
Generated

### caseResourcePermission

public T caseResourcePermission(ResourcePermission object)
Returns the result of interpreting the object as an instance of 'Resource Permission'. This implementation returns null; returning a non-null result will terminate the switch.

Parameter:
  `object` - the target of the switch.
Gibt zurück:
  the result of interpreting the object as an instance of 'Resource Permission'.
Siehe auch:
  - `doSwitch(EObject)`
Generated

### caseObjectPermission

public T caseObjectPermission(ObjectPermission object)
Returns the result of interpreting the object as an instance of 'Object Permission'. This implementation returns null; returning a non-null result will terminate the switch.

Parameter:
  `object` - the target of the switch.
Gibt zurück:
  the result of interpreting the object as an instance of 'Object Permission'.
Seit:
  4.2
Siehe auch:
  - `doSwitch(EObject)`
Generated

### caseFilterPermission

public T caseFilterPermission(FilterPermission object)
Returns the result of interpreting the object as an instance of 'Filter Permission'. This implementation returns null; returning a non-null result will terminate the switch.

Parameter:
  `object` - the target of the switch.
Gibt zurück:
  the result of interpreting the object as an instance of 'Filter Permission'.
Seit:
  4.3
Siehe auch:
  - `doSwitch(EObject)`
Generated

### casePermissionFilter

public T casePermissionFilter(PermissionFilter object)
Returns the result of interpreting the object as an instance of 'Permission Filter'. This implementation returns null; returning a non-null result will terminate the switch.

Parameter:
  `object` - the target of the switch.
Gibt zurück:
  the result of interpreting the object as an instance of 'Permission Filter'.
Seit:
  4.3
Siehe auch:
  - `doSwitch(EObject)`
Generated

### caseLinkedFilter

public T caseLinkedFilter(LinkedFilter object)
Returns the result of interpreting the object as an instance of 'Linked Filter'. This implementation returns null; returning a non-null result will terminate the switch.

Parameter:
  `object` - the target of the switch.
Gibt zurück:
  the result of interpreting the object as an instance of 'Linked Filter'.
Seit:
  4.3
Siehe auch:
  - `doSwitch(EObject)`
Generated

### casePackageFilter

public T casePackageFilter(PackageFilter object)
Returns the result of interpreting the object as an instance of 'Package Filter'. This implementation returns null; returning a non-null result will terminate the switch.

Parameter:
  `object` - the target of the switch.
Gibt zurück:
  the result of interpreting the object as an instance of 'Package Filter'.
Seit:
  4.3
Siehe auch:
  - `doSwitch(EObject)`
Generated

### caseClassFilter

public T caseClassFilter(ClassFilter object)
Returns the result of interpreting the object as an instance of 'Class Filter'. This implementation returns null; returning a non-null result will terminate the switch.

Parameter:
  `object` - the target of the switch.
Gibt zurück:
  the result of interpreting the object as an instance of 'Class Filter'.
Seit:
  4.3
Siehe auch:
  - `doSwitch(EObject)`
Generated

### caseResourceFilter

public T caseResourceFilter(ResourceFilter object)
Returns the result of interpreting the object as an instance of 'Resource Filter'. This implementation returns null; returning a non-null result will terminate the switch.

Parameter:
  `object` - the target of the switch.
Gibt zurück:
  the result of interpreting the object as an instance of 'Resource Filter'.
Seit:
  4.3
Siehe auch:
  - `doSwitch(EObject)`
Generated

### caseObjectFilter

public T caseObjectFilter(ObjectFilter object)
Returns the result of interpreting the object as an instance of 'Object Filter'. This implementation returns null; returning a non-null result will terminate the switch.

Parameter:
  `object` - the target of the switch.
Gibt zurück:
  the result of interpreting the object as an instance of 'Object Filter'.
Seit:
  4.3
Siehe auch:
  - `doSwitch(EObject)`
Generated

### caseExpressionFilter

public T caseExpressionFilter(ExpressionFilter object)
Returns the result of interpreting the object as an instance of 'Expression Filter'. This implementation returns null; returning a non-null result will terminate the switch.

Parameter:
  `object` - the target of the switch.
Gibt zurück:
  the result of interpreting the object as an instance of 'Expression Filter'.
Seit:
  4.3
Siehe auch:
  - `doSwitch(EObject)`
Generated

### caseCombinedFilter

public T caseCombinedFilter(CombinedFilter object)
Returns the result of interpreting the object as an instance of 'Combined Filter'. This implementation returns null; returning a non-null result will terminate the switch.

Parameter:
  `object` - the target of the switch.
Gibt zurück:
  the result of interpreting the object as an instance of 'Combined Filter'.
Seit:
  4.3
Siehe auch:
  - `doSwitch(EObject)`
Generated

### caseNotFilter

public T caseNotFilter(NotFilter object)
Returns the result of interpreting the object as an instance of 'Not Filter'. This implementation returns null; returning a non-null result will terminate the switch.

Parameter:
  `object` - the target of the switch.
Gibt zurück:
  the result of interpreting the object as an instance of 'Not Filter'.
Seit:
  4.3
Siehe auch:
  - `doSwitch(EObject)`
Generated

### caseAndFilter

public T caseAndFilter(AndFilter object)
Returns the result of interpreting the object as an instance of 'And Filter'. This implementation returns null; returning a non-null result will terminate the switch.

Parameter:
  `object` - the target of the switch.
Gibt zurück:
  the result of interpreting the object as an instance of 'And Filter'.
Seit:
  4.3
Siehe auch:
  - `doSwitch(EObject)`
Generated

### caseOrFilter

public T caseOrFilter(OrFilter object)
Returns the result of interpreting the object as an instance of 'Or Filter'. This implementation returns null; returning a non-null result will terminate the switch.

Parameter:
  `object` - the target of the switch.
Gibt zurück:
  the result of interpreting the object as an instance of 'Or Filter'.
Seit:
  4.3
Siehe auch:
  - `doSwitch(EObject)`
Generated

### caseModelElement

public T caseModelElement(ModelElement object)
Returns the result of interpreting the object as an instance of 'Model Element'. This implementation returns null; returning a non-null result will terminate the switch.

Parameter:
  `object` - the target of the switch.
Gibt zurück:
  the result of interpreting the object as an instance of 'Model Element'.
Siehe auch:
  - `doSwitch(EObject)`
Generated

### defaultCase

public T defaultCase(EObject object)
Returns the result of interpreting the object as an instance of 'EObject'. This implementation returns null; returning a non-null result will terminate the switch, but this is the last case anyway.

Parameter:
  `object` - the target of the switch.
Gibt zurück:
  the result of interpreting the object as an instance of 'EObject'.
Siehe auch:
  - `doSwitch(org.eclipse.emf.ecore.EObject)`
Generated